Inhalte
Index 🔎︎

# Anweisung Declare

Deklariert und definiert eine von LibreOffice auszuführende Subroutine in einer DLL.

Siehe auch: FreeLibrary

## Syntax:

    Declare {Sub | Function} Name Lib "BibName" [Alias "AliasName"] [Parameter] [As Typ]

## Parameter:

Name: Ein Name, der sich von dem in der DLL definierten Namen unterscheidet und mit dem die Subroutine aus LibreOffice Basic aufgerufen werden soll.

AliasName: Der Name der Subroutine, wie er in der DLL definiert ist.

BibName: Datei- oder Systemname der DLL. Dieser Bibliothek wird beim ersten Aufruf der Funktion automatisch geladen.

Argumentliste: Liste von Parametern, die Argumente darstellen, die der Prozedur beim Aufruf übergeben werden. Anzahl und Typ der Parameter hängen von der ausgeführten Prozedur ab.

Typ: Definiert den Datentyp des Rückgabewerts einer Funktionsprozedur. Wenn hinter dem Namen ein Typ-Deklarationszeichen angegeben wird, können Sie diesen Parameter übergehen.

Um einen Parameter nicht als Referenz, sondern als Wert an eine Subroutine zu übergeben, muss der Parameter durch das Schlüsselwort ByVal gekennzeichnet werden.

## Beispiel:

    Declare Sub MyMessageBeep Lib "user32.dll" Alias "MessageBeep" ( Long )
    Sub ExampleDeclare
    Dim lValue As Long
        lValue = 5000
        MyMessageBeep( lValue )
        FreeLibrary("user32.dll" )
    End Sub